<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Writer\Xls\Xf</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method___construct" title="__construct ::Constructor.">
            <span class="description">Constructor.</span><pre>__construct</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setBgColor" title="setBgColor ::Sets the cell&#039;s background color.">
            <span class="description">Sets the cell&#039;s background color.</span><pre>setBgColor</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setBottomColor" title="setBottomColor ::Sets the cell&#039;s bottom border color.">
            <span class="description">Sets the cell&#039;s bottom border color.</span><pre>setBottomColor</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setDiagColor" title="setDiagColor ::Sets the cell&#039;s diagonal border color.">
            <span class="description">Sets the cell&#039;s diagonal border color.</span><pre>setDiagColor</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setFgColor" title="setFgColor ::Sets the cell&#039;s foreground color.">
            <span class="description">Sets the cell&#039;s foreground color.</span><pre>setFgColor</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setFontIndex" title="setFontIndex ::Set the font index.">
            <span class="description">Set the font index.</span><pre>setFontIndex</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setIsStyleXf" title="setIsStyleXf ::Is this a style XF ?">
            <span class="description">Is this a style XF ?</span><pre>setIsStyleXf</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setLeftColor" title="setLeftColor ::Sets the cell&#039;s left border color.">
            <span class="description">Sets the cell&#039;s left border color.</span><pre>setLeftColor</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setNumberFormatIndex" title="setNumberFormatIndex ::Sets the index to the number format record
It can be date, time, currency, etc.">
            <span class="description">Sets the index to the number format record
It can be date, time, currency, etc.</span><pre>setNumberFormatIndex</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setRightColor" title="setRightColor ::Sets the cell&#039;s right border color.">
            <span class="description">Sets the cell&#039;s right border color.</span><pre>setRightColor</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setTopColor" title="setTopColor ::Sets the cell&#039;s top border color.">
            <span class="description">Sets the cell&#039;s top border color.</span><pre>setTopColor</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_writeXf" title="writeXf ::Generate an Excel BIFF XF record (style or cell).">
            <span class="description">Generate an Excel BIFF XF record (style or cell).</span><pre>writeXf</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>                        <li class="methodprivate">
                            <a href="#method_mapBorderStyle" title="mapBorderStyle ::Map border style.">
                                <span class="description">Map border style.</span><pre>mapBorderStyle</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_mapFillType" title="mapFillType ::Map fill type.">
                                <span class="description">Map fill type.</span><pre>mapFillType</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_mapHAlign" title="mapHAlign ::Map to BIFF2-BIFF8 codes for horizontal alignment.">
                                <span class="description">Map to BIFF2-BIFF8 codes for horizontal alignment.</span><pre>mapHAlign</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_mapHidden" title="mapHidden ::Map hidden.">
                                <span class="description">Map hidden.</span><pre>mapHidden</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_mapLocked" title="mapLocked ::Map locked.">
                                <span class="description">Map locked.</span><pre>mapLocked</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_mapTextRotation" title="mapTextRotation ::Map to BIFF8 codes for text rotation angle.">
                                <span class="description">Map to BIFF8 codes for text rotation angle.</span><pre>mapTextRotation</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_mapVAlign" title="mapVAlign ::Map to BIFF2-BIFF8 codes for vertical alignment.">
                                <span class="description">Map to BIFF2-BIFF8 codes for vertical alignment.</span><pre>mapVAlign</pre>
                            </a>
                        </li>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>Xf</h1>
                <small style="display: block; text-align: right">                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method___construct"></a>
                        <div class="element clickable methodpublic method___construct" data-toggle="collapse" data-target=".method___construct .collapse">
                            <h2>Constructor.</h2>
                            <pre>__construct(\PhpOffice\PhpSpreadsheet\Style\Style $style)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$style</h4>
                                                <code>\PhpOffice\PhpSpreadsheet\Style\Style</code><p><p>The XF format</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_mapBorderStyle"></a>
                        <div class="element clickable methodprivate method_mapBorderStyle" data-toggle="collapse" data-target=".method_mapBorderStyle .collapse">
                            <h2>Map border style.</h2>
                            <pre>mapBorderStyle(string $borderStyle): integer</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$borderStyle</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>integer</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_mapFillType"></a>
                        <div class="element clickable methodprivate method_mapFillType" data-toggle="collapse" data-target=".method_mapFillType .collapse">
                            <h2>Map fill type.</h2>
                            <pre>mapFillType(string $fillType): integer</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$fillType</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>integer</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_mapHAlign"></a>
                        <div class="element clickable methodprivate method_mapHAlign" data-toggle="collapse" data-target=".method_mapHAlign .collapse">
                            <h2>Map to BIFF2-BIFF8 codes for horizontal alignment.</h2>
                            <pre>mapHAlign(string $hAlign): integer</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$hAlign</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>integer</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_mapHidden"></a>
                        <div class="element clickable methodprivate method_mapHidden" data-toggle="collapse" data-target=".method_mapHidden .collapse">
                            <h2>Map hidden.</h2>
                            <pre>mapHidden(string $hidden): integer</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$hidden</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>integer</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_mapLocked"></a>
                        <div class="element clickable methodprivate method_mapLocked" data-toggle="collapse" data-target=".method_mapLocked .collapse">
                            <h2>Map locked.</h2>
                            <pre>mapLocked(string $locked): integer</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$locked</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>integer</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_mapTextRotation"></a>
                        <div class="element clickable methodprivate method_mapTextRotation" data-toggle="collapse" data-target=".method_mapTextRotation .collapse">
                            <h2>Map to BIFF8 codes for text rotation angle.</h2>
                            <pre>mapTextRotation(integer $textRotation): integer</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$textRotation</h4>
                                                <code>integer</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>integer</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_mapVAlign"></a>
                        <div class="element clickable methodprivate method_mapVAlign" data-toggle="collapse" data-target=".method_mapVAlign .collapse">
                            <h2>Map to BIFF2-BIFF8 codes for vertical alignment.</h2>
                            <pre>mapVAlign(string $vAlign): integer</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$vAlign</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>integer</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setBgColor"></a>
                        <div class="element clickable methodpublic method_setBgColor" data-toggle="collapse" data-target=".method_setBgColor .collapse">
                            <h2>Sets the cell&#039;s background color.</h2>
                            <pre>setBgColor(integer $colorIndex)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$colorIndex</h4>
                                                <code>integer</code><p><p>Color index</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_setBottomColor"></a>
                        <div class="element clickable methodpublic method_setBottomColor" data-toggle="collapse" data-target=".method_setBottomColor .collapse">
                            <h2>Sets the cell&#039;s bottom border color.</h2>
                            <pre>setBottomColor(integer $colorIndex)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$colorIndex</h4>
                                                <code>integer</code><p><p>Color index</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_setDiagColor"></a>
                        <div class="element clickable methodpublic method_setDiagColor" data-toggle="collapse" data-target=".method_setDiagColor .collapse">
                            <h2>Sets the cell&#039;s diagonal border color.</h2>
                            <pre>setDiagColor(integer $colorIndex)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$colorIndex</h4>
                                                <code>integer</code><p><p>Color index</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_setFgColor"></a>
                        <div class="element clickable methodpublic method_setFgColor" data-toggle="collapse" data-target=".method_setFgColor .collapse">
                            <h2>Sets the cell&#039;s foreground color.</h2>
                            <pre>setFgColor(integer $colorIndex)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$colorIndex</h4>
                                                <code>integer</code><p><p>Color index</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_setFontIndex"></a>
                        <div class="element clickable methodpublic method_setFontIndex" data-toggle="collapse" data-target=".method_setFontIndex .collapse">
                            <h2>Set the font index.</h2>
                            <pre>setFontIndex(integer $value)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>integer</code><p><p>Font index, note that value 4 does not exist</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_setIsStyleXf"></a>
                        <div class="element clickable methodpublic method_setIsStyleXf" data-toggle="collapse" data-target=".method_setIsStyleXf .collapse">
                            <h2>Is this a style XF ?</h2>
                            <pre>setIsStyleXf(boolean $value)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_setLeftColor"></a>
                        <div class="element clickable methodpublic method_setLeftColor" data-toggle="collapse" data-target=".method_setLeftColor .collapse">
                            <h2>Sets the cell&#039;s left border color.</h2>
                            <pre>setLeftColor(integer $colorIndex)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$colorIndex</h4>
                                                <code>integer</code><p><p>Color index</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_setNumberFormatIndex"></a>
                        <div class="element clickable methodpublic method_setNumberFormatIndex" data-toggle="collapse" data-target=".method_setNumberFormatIndex .collapse">
                            <h2>Sets the index to the number format record
It can be date, time, currency, etc.</h2>
                            <pre>setNumberFormatIndex(integer $numberFormatIndex)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>..</p></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$numberFormatIndex</h4>
                                                <code>integer</code><p><p>Index to format record</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_setRightColor"></a>
                        <div class="element clickable methodpublic method_setRightColor" data-toggle="collapse" data-target=".method_setRightColor .collapse">
                            <h2>Sets the cell&#039;s right border color.</h2>
                            <pre>setRightColor(integer $colorIndex)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$colorIndex</h4>
                                                <code>integer</code><p><p>Color index</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_setTopColor"></a>
                        <div class="element clickable methodpublic method_setTopColor" data-toggle="collapse" data-target=".method_setTopColor .collapse">
                            <h2>Sets the cell&#039;s top border color.</h2>
                            <pre>setTopColor(integer $colorIndex)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$colorIndex</h4>
                                                <code>integer</code><p><p>Color index</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_writeXf"></a>
                        <div class="element clickable methodpublic method_writeXf" data-toggle="collapse" data-target=".method_writeXf .collapse">
                            <h2>Generate an Excel BIFF XF record (style or cell).</h2>
                            <pre>writeXf(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p><p>The XF record</p></p>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_isStyleXf"> </a>
                            <div class="element clickable propertyprivate property_isStyleXf" data-toggle="collapse" data-target=".property_isStyleXf .collapse">
                                <h2>Style XF or a cell XF ?</h2>
                                <pre>isStyleXf :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_fontIndex"> </a>
                            <div class="element clickable propertyprivate property_fontIndex" data-toggle="collapse" data-target=".property_fontIndex .collapse">
                                <h2>Index to the FONT record. Index 4 does not exist.</h2>
                                <pre>fontIndex :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_numberFormatIndex"> </a>
                            <div class="element clickable propertyprivate property_numberFormatIndex" data-toggle="collapse" data-target=".property_numberFormatIndex .collapse">
                                <h2>An index (2 bytes) to a FORMAT record (number format).</h2>
                                <pre>numberFormatIndex :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_textJustLast"> </a>
                            <div class="element clickable propertyprivate property_textJustLast" data-toggle="collapse" data-target=".property_textJustLast .collapse">
                                <h2>1 bit, apparently not used.</h2>
                                <pre>textJustLast :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_foregroundColor"> </a>
                            <div class="element clickable propertyprivate property_foregroundColor" data-toggle="collapse" data-target=".property_foregroundColor .collapse">
                                <h2>The cell&#039;s foreground color.</h2>
                                <pre>foregroundColor :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_backgroundColor"> </a>
                            <div class="element clickable propertyprivate property_backgroundColor" data-toggle="collapse" data-target=".property_backgroundColor .collapse">
                                <h2>The cell&#039;s background color.</h2>
                                <pre>backgroundColor :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_bottomBorderColor"> </a>
                            <div class="element clickable propertyprivate property_bottomBorderColor" data-toggle="collapse" data-target=".property_bottomBorderColor .collapse">
                                <h2>Color of the bottom border of the cell.</h2>
                                <pre>bottomBorderColor :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_topBorderColor"> </a>
                            <div class="element clickable propertyprivate property_topBorderColor" data-toggle="collapse" data-target=".property_topBorderColor .collapse">
                                <h2>Color of the top border of the cell.</h2>
                                <pre>topBorderColor :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_leftBorderColor"> </a>
                            <div class="element clickable propertyprivate property_leftBorderColor" data-toggle="collapse" data-target=".property_leftBorderColor .collapse">
                                <h2>Color of the left border of the cell.</h2>
                                <pre>leftBorderColor :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_rightBorderColor"> </a>
                            <div class="element clickable propertyprivate property_rightBorderColor" data-toggle="collapse" data-target=".property_rightBorderColor .collapse">
                                <h2>Color of the right border of the cell.</h2>
                                <pre>rightBorderColor :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_mapBorderStyles"> </a>
                            <div class="element clickable propertyprivate property_mapBorderStyles" data-toggle="collapse" data-target=".property_mapBorderStyles .collapse">
                                <h2>Map of BIFF2-BIFF8 codes for border styles.</h2>
                                <pre>mapBorderStyles :array</pre>
                                <div class="labels"><span class="label">static</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td><p>of int</p>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>array</code>                                    </div>
                                </div>
                            </div>                            <a id="property_mapFillTypes"> </a>
                            <div class="element clickable propertyprivate property_mapFillTypes" data-toggle="collapse" data-target=".property_mapFillTypes .collapse">
                                <h2>Map of BIFF2-BIFF8 codes for fill types.</h2>
                                <pre>mapFillTypes :array</pre>
                                <div class="labels"><span class="label">static</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td><p>of int</p>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>array</code>                                    </div>
                                </div>
                            </div>                            <a id="property_mapHAlignments"> </a>
                            <div class="element clickable propertyprivate property_mapHAlignments" data-toggle="collapse" data-target=".property_mapHAlignments .collapse">
                                <h2>Map of BIFF2-BIFF8 codes for horizontal alignment.</h2>
                                <pre>mapHAlignments :array</pre>
                                <div class="labels"><span class="label">static</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td><p>of int</p>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>array</code>                                    </div>
                                </div>
                            </div>                            <a id="property_mapVAlignments"> </a>
                            <div class="element clickable propertyprivate property_mapVAlignments" data-toggle="collapse" data-target=".property_mapVAlignments .collapse">
                                <h2>Map of BIFF2-BIFF8 codes for vertical alignment.</h2>
                                <pre>mapVAlignments :array</pre>
                                <div class="labels"><span class="label">static</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td><p>of int</p>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>array</code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Writer\Xls\Xf"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Writer.Xls.html">Xls</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Writer.Xls.Xf.html">Xf</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:46 +0000.<br/>
    </footer></body>
</html>
